package com.ar.sketch.paint.drawing.act;

import android.content.Intent;
import android.os.Bundle;
import android.os.CountDownTimer;

import androidx.appcompat.app.AppCompatActivity;

import com.ar.sketch.paint.drawing.ad.WelComManager;
import com.ar.sketch.paint.drawing.databinding.PageWelcomeBinding;
import com.ar.sketch.paint.drawing.tool.Utils;

import kotlin.Unit;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.functions.Function1;

public class PageWelcome extends AppCompatActivity {

    private PageWelcomeBinding binding;
    private long time = 12000;
    private CountDownTimer countDownTimer;



    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        binding = PageWelcomeBinding.inflate(getLayoutInflater());
        setContentView(binding.getRoot());
        Utils.setStatusBarTextColor(this, true);


        countDownTimer = WelComManager.initTimer(PageWelcome.this, time, new Function1<Long, Unit>() {
            @Override
            public Unit invoke(Long aLong) {
                int progressPercentage = (int) ((100 * aLong) / time);
                int Percentage = 100 - progressPercentage;
                binding.loadingPb.setProgress(Percentage);
                return null;
            }
        }, new Function0<Unit>() {
            @Override
            public Unit invoke() {
                enterMain();
                return null;
            }
        });

    }
    private void enterMain() {
        binding.loadingPb.setProgress(100);
        Intent intent = new Intent(PageWelcome.this, PageMain.class);
        startActivity(intent);
        finish();
    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
        if (countDownTimer != null) {
            countDownTimer.cancel();
        }
    }
}